PIBOOTCTL-GET(1)

NAME
pibootctl-get - pibootctl manual

SYNOPSIS

        pibootctl get [-h] [--json | --yaml | --shell] setting [setting ...]

DESCRIPTION

Query the status of one or more boot configuration settings. If a single setting is requested then just that value is output. If multiple values are requested then both setting names and values are output. This applies whether output is in the default, JSON, YAML, or shell-friendly styles.

OPTIONS

    setting
        The name(s) of the setting(s) to query; if a single setting is given its value alone is output, if multiple settings are queried the names and values of the settings are output.

    -h, --help
        Show a brief help page for the command.

    --json
        Use JSON as the output format.

    --yaml
        Use YAML as the output format.

    --shell
        Use a var=value output format suitable for the shell.

USAGE

The get command is primarily of use to those wishing to build something on top of pibootctl; for end users wishing to query the current boot configuration the status command is of more use. When given a single setting to query the value of that setting is output on its own, in whatever output style is selected:

        $ pibootctl get video.overscan.enabled
        on
        $ pibootctl get --json video.overscan.enabled
        true

When given multiple settings, names and values of those settings are both output:

        $ pibootctl get serial.enabled serial.baud serial.uart
        +----------------+-------------------------+
        | Name           | Value                   |
        |----------------+-------------------------|
        | serial.baud    | 115200                  |
        | serial.enabled | on                      |
        | serial.uart    | 0 (/dev/ttyAMA0; PL011) |
        +----------------+-------------------------+
        $ pibootctl get --json serial.enabled serial.baud serial.uart
        {"serial.enabled": true, "serial.baud": 115200, "serial.uart": 0}

Note that wildcards are not permitted with this command, unlike with the status command.

AUTHOR
Dave Jones

COPYRIGHT
2019-2020 Dave Jones